cdac.medinfo.sdk.hl7282.baselibs.segments

## Class RXG

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.RXG

- All Implemented Interfaces:
    ISegment

      public class RXG
      extends Segment

  RXG - Pharmacy/Treatment Give Segment.

  Represents an HL7 RXG message segment. This segment has the following fields:

  RXG-1: Give Sub-ID Counter (NM)Required
  RXG-2: Dispense Sub-ID Counter (NM)Optional
  RXG-3: Quantity/Timing (TQ)Withdrawn
  RXG-4: Give Code (CWE)Required
  RXG-5: Give Amount - Minimum (NM)Required
  RXG-6: Give Amount - Maximum (NM)Optional
  RXG-7: Give Units (CWE)Required
  RXG-8: Give Dosage Form (CWE)Optional
  RXG-9: Administration Notes (CWE)Optional
  RXG-10: Substitution Status (ID)Optional
  RXG-11: Dispense-to Location (LA2)Withdrawn
  RXG-12: Needs Human Review (ID)Optional
  RXG-13: Special Administration Instructions (CWE)Optional
  RXG-14: Give Per (Time Unit) (ST)Condition
  RXG-15: Give Rate Amount (ST)Optional
  RXG-16: Give Rate Units (CWE)Optional
  RXG-17: Give Strength (NM)Optional
  RXG-18: Give Strength Units (CWE)Optional
  RXG-19: Substance Lot Number (ST)Optional
  RXG-20: Substance Expiration Date (DTM)Optional
  RXG-21: Substance Manufacturer Name (CWE)Optional
  RXG-22: Indication (CWE)Optional
  RXG-23: Give Drug Strength Volume (NM)Optional
  RXG-24: Give Drug Strength Volume Units (CWE)Optional
  RXG-25: Give Barcode Identifier (CWE)Optional
  RXG-26: Pharmacy Order Type (ID)Optional
  RXG-27: Dispense to Pharmacy (CWE)Backward
  RXG-28: Dispense to Pharmacy Address (XAD)Backward
  RXG-29: Deliver-to Patient Location (PL)Optional
  RXG-30: Deliver-to Address (XAD)Optional
  RXG-31: Give Tag Identifier (EI)Optional
  RXG-32: Dispense Amountr (NM)Required
  RXG-33: Dispense Units (CWE)Required

  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RXG()` Constructs the RXG segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAdministrationNotes(CWE objadministrationNotes)` Add the Administration Notes.
    `void` | `addAdministrationNotes(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Administration Notes.
    `void` | `addGiveTagIdentifier(EI objGiveTagIdentifier)` Add the Give Tag Identifier.
    `void` | `addGiveTagIdentifier(java.lang.String strEntityIdentifier, java.lang.String strNamespaceId, java.lang.String strUniversalId, java.lang.String strUniversalIdType)` Add the Give Tag Identifier.
    `void` | `addIndication(CWE objindication)` Add the Indication.
    `void` | `addIndication(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Indication.
    `void` | `addSpecialAdministrationInstructions(CWE objSpecialAdministrationInstructions)` Add the Special Administration Instructions.
    `void` | `addSpecialAdministrationInstructions(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Special Administration Instructions.
    `void` | `addSubstanceExpirationDate(DTM objsubstanceExpirationDate)` Add the Substance Expiration Date.
    `void` | `addSubstanceExpirationDate(java.lang.String strTime)` Add the Substance Expiration Date.
    `void` | `addSubstanceLotNumber(ST objsubstanceLotNumber)` Add the Substance Lot Number.
    `void` | `addSubstanceLotNumber(java.lang.String strSubstanceLotNumber)` Add the Substance Lot Number.
    `void` | `addSubstanceManufacturerName(CWE objsubstanceManufacturerName)` Add the Substance Manufacturer Name.
    `void` | `addSubstanceManufacturerName(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Substance Manufacturer Name.
    `ISingleCollection<CWE>` | `getAdministrationNotes()` Retrieves the Administration Notes.
    `XAD` | `getDeliver_toAddress()` Retrieves the Deliver to Address.
    `PL` | `getDeliver_toPatientLocation()` Retrieves the Deliver to Patient Location.
    `NM` | `getDispenseAmount()` Retrieves the Dispense Amount This field specify the amount to be dispensed as encoded by the pharmacy or treatment supplier.
    `NM` | `getDispenseSub_IDCounter()` Retrieves the Dispense Sub ID Counter.
    `CWE` | `getDispensetoPharmacy()` Retrieves the Dispense to Pharmacy.
    `XAD` | `getDispensetoPharmacyAddress()` Retrieves the Dispense to Pharmacy Address.
    `CWE` | `getDispenseUnits()` Retrieves the Dispense Units.
    `NM` | `getGiveAmount_Maximum()` Retrieves the Give Amount Maximum
    `NM` | `getGiveAmount_Minimum()` Retrieves the Give Amount Minimum
    `CWE` | `getGiveBarcodeIdentifier()` Retrieves the Give Barcode Identifier.
    `CWE` | `getGiveCode()` Retrieves the Give Code.
    `CWE` | `getGiveDosageForm()` Retrieves the Give Dosage Form.
    `NM` | `getGiveDrugStrengthVolume()` Retrieves the Give Drug Strength Volume.
    `CWE` | `getGiveDrugStrengthVolumeUnits()` Retrieves the Give Drug Strength Volume Units.
    `ST` | `getGivePerTimeUnit()` Retrieves the Give Per Time Unit.
    `ST` | `getGiveRateAmount()` Retrieves the Give Rate Amount.
    `CWE` | `getGiveRateUnits()` Retrieves the Give Rate Units.
    `NM` | `getGiveStrength()` Retrieves the Give Strength.
    `CWE` | `getGiveStrengthUnits()` Retrieves the Give Strength Units.
    `NM` | `getGiveSub_IDCounter()` Retrieves the Give Sub ID Counter.
    `ISingleCollection<EI>` | `getGiveTagIdentifier()` Retrieves the Give Tag Identifier.
    `CWE` | `getGiveUnits()` Retrieves the Give Units
    `ISingleCollection<CWE>` | `getIndication()` Retrieves the Indication.
    `ID` | `getNeedsHumanReview()` Retrieves the Needs Human Review
    `ID` | `getPharmacyOrderType()` Retrieves the Pharmacy Order Type.
    `ISingleCollection<CWE>` | `getSpecialAdministrationInstructions()` Retrieves the Special Administration Instructions.
    `ISingleCollection<DTM>` | `getSubstanceExpirationDate()` Retrieves the Substance Expiration Date.
    `ISingleCollection<ST>` | `getSubstanceLotNumber()` Retrieves the Substance Lot Number.
    `ISingleCollection<CWE>` | `getSubstanceManufacturerName()` Retrieves the Substance Manufacturer Name.
    `ID` | `getSubstitutionStatus()` Retrieves the Substitution Status
    `void` | `setAdministrationNotes(ISingleCollection<CWE> objadministrationNotesList)` Set the Administration Notes.
    `void` | `setDeliver_toAddress(SAD objStreetAddress, java.lang.String strOtherDesignation, java.lang.String strCity, java.lang.String strStateOrProvince, java.lang.String strZipOrPostalCode, java.lang.String strCountry, java.lang.String strAddressType, java.lang.String strOtherGeographicDesignation, CWE objCountyParishCode, CWE objCensusTract, java.lang.String strAddressRepresentationCode, DTM objEffectiveDate, DTM objExpirationDate, CWE objEXpirationReason, java.lang.String strTemporaryIndicator, java.lang.String strBadAddressIndicator, java.lang.String strAddressUsage, java.lang.String strAddressee, java.lang.String strComment, java.lang.String strPreferenceOrder, CWE objProtectionCode, EI objAddressIdentifier)` Set the Deliver to Address.
    `void` | `setDeliver_toAddress(XAD objdeliver_toAddress)` Set the Deliver to Address.
    `void` | `setDeliver_toPatientLocation(HD objPointOfCare, HD objRoom, HD objBed, HD objFacility, java.lang.String strLocationStatus, java.lang.String strPersonLocationType, java.lang.String strBuilding, java.lang.String strFloor, java.lang.String strLocationDescription, EI objComprehensiveLocationIdentifier, HD objAssigningAuthorityForLocation)` Set the Deliver to Patient Location.
    `void` | `setDeliver_toPatientLocation(PL objdeliver_toPatientLocation)` Set the Deliver to Patient Location.
    `void` | `setDispenseAmount(NM objdispenseAmount)` Set the Dispense Amount This field specify the amount to be dispensed as encoded by the pharmacy or treatment supplier.
    `void` | `setDispenseAmount(java.lang.String strDispenseAmount)` Set the Dispense Amount This field specify the amount to be dispensed as encoded by the pharmacy or treatment supplier.
    `void` | `setDispenseSub_IDCounter(NM objdispenseSub_IDCounter)` Set the Dispense Sub ID Counter.
    `void` | `setDispenseSub_IDCounter(java.lang.String strDispenseSub_IDCounter)` Set the Dispense Sub ID Counter.
    `void` | `setDispensetoPharmacy(CWE objdispensetoPharmacy)` Set the Dispense to Pharmacy.
    `void` | `setDispensetoPharmacy(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Dispense to Pharmacy.
    `void` | `setDispensetoPharmacyAddress(SAD objStreetAddress, java.lang.String strOtherDesignation, java.lang.String strCity, java.lang.String strStateOrProvince, java.lang.String strZipOrPostalCode, java.lang.String strCountry, java.lang.String strAddressType, java.lang.String strOtherGeographicDesignation, CWE objCountyParishCode, CWE objCensusTract, java.lang.String strAddressRepresentationCode, DTM objEffectiveDate, DTM objExpirationDate, CWE objEXpirationReason, java.lang.String strTemporaryIndicator, java.lang.String strBadAddressIndicator, java.lang.String strAddressUsage, java.lang.String strAddressee, java.lang.String strComment, java.lang.String strPreferenceOrder, CWE objProtectionCode, EI objAddressIdentifier)` Set the Dispense to Pharmacy Address.
    `void` | `setDispensetoPharmacyAddress(XAD objdispensetoPharmacyAddress)` Set the Dispense to Pharmacy Address.
    `void` | `setDispenseUnits(CWE objdispenseUnits)` Set the Dispense Units.
    `void` | `setDispenseUnits(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Dispense Units.
    `void` | `setGiveAmount_Maximum(NM objgiveAmount_Maximum)` Set the Give Amount Maximum.
    `void` | `setGiveAmount_Maximum(java.lang.String strGiveAmount_Maximum)` Set the Give Amount Maximum.
    `void` | `setGiveAmount_Minimum(NM objgiveAmount_Minimum)` Set the Give Amount Minimum.
    `void` | `setGiveAmount_Minimum(java.lang.String strGiveAmount_Minimum)` Set the Give Amount Minimum.
    `void` | `setGiveBarcodeIdentifier(CWE objgiveBarcodeIdentifier)` Set the Give Barcode Identifier.
    `void` | `setGiveBarcodeIdentifier(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Give Barcode Identifier.
    `void` | `setGiveCode(CWE objgiveCode)` Set the Give Code.
    `void` | `setGiveCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Give Code.
    `void` | `setGiveDosageForm(CWE objgiveDosageForm)` Set the Give Dosage Form.
    `void` | `setGiveDosageForm(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Give Dosage Form.
    `void` | `setGiveDrugStrengthVolume(NM objgiveDrugStrengthVolume)` Set the Give Drug Strength Volume.
    `void` | `setGiveDrugStrengthVolume(java.lang.String strGiveDrugStrengthVolume)` Set the Give Drug Strength Volume.
    `void` | `setGiveDrugStrengthVolumeUnits(CWE objgiveDrugStrengthVolumeUnits)` Set the Give Drug Strength Volume Units.
    `void` | `setGiveDrugStrengthVolumeUnits(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Give Drug Strength Volume Units.
    `void` | `setGivePerTimeUnit(ST objgivePerTimeUnit)` Set the Give Per Time Unit.
    `void` | `setGivePerTimeUnit(java.lang.String strGivePerTimeUnit)` Set the Give Per Time Unit.
    `void` | `setGiveRateAmount(ST objgiveRateAmount)` Set the Give Rate Amount.
    `void` | `setGiveRateAmount(java.lang.String strGiveRateAmount)` Set the Give Rate Amount.
    `void` | `setGiveRateUnits(CWE objgiveRateUnits)` Set the Give Rate Units.
    `void` | `setGiveRateUnits(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Give Rate Units.
    `void` | `setGiveStrength(NM objgiveStrength)` Set the Give Strength.
    `void` | `setGiveStrength(java.lang.String strGiveStrength)` Set the Give Strength.
    `void` | `setGiveStrengthUnits(CWE objgiveStrengthUnits)` Set the Give Strength Units.
    `void` | `setGiveStrengthUnits(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Give Strength Units.
    `void` | `setGiveSub_IDCounter(NM objgiveSub_IDCounter)` Set the Give Sub ID Counter.
    `void` | `setGiveSub_IDCounter(java.lang.String strGiveSub_IDCounter)` Set the Give Sub ID Counter.
    `void` | `setGiveTagIdentifier(ISingleCollection<EI> objGiveTagIdentifierList)` Set the Give Tag Identifier.
    `void` | `setGiveUnits(CWE objgiveUnits)` Set the Give Units.
    `void` | `setGiveUnits(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Set the Give Units
    `void` | `setIndication(ISingleCollection<CWE> objindicationList)` Set the Indication.
    `void` | `setNeedsHumanReview(ID objneedsHumanReview)` Set the Needs Human Review.
    `void` | `setNeedsHumanReview(java.lang.String strNeedsHumanReview)` Set the Needs Human Review
    `void` | `setPharmacyOrderType(ID objpharmacyOrderType)` Set the Pharmacy Order Type.
    `void` | `setPharmacyOrderType(java.lang.String strPharmacyOrderType)` Set the Pharmacy Order Type.
    `void` | `setSpecialAdministrationInstructions(ISingleCollection<CWE> objSpecialAdministrationInstructionsList)` Set the Special Administration Instructions.
    `void` | `setSubstanceExpirationDate(ISingleCollection<DTM> objsubstanceExpirationDateList)` Set the Substance Expiration Date.
    `void` | `setSubstanceLotNumber(ISingleCollection<ST> objsubstanceLotNumberList)` Set the Substance Lot Number.
    `void` | `setSubstanceManufacturerName(ISingleCollection<CWE> objsubstanceManufacturerNameList)` Set the Substance Manufacturer Name.
    `void` | `setSubstitutionStatus(ID objsubstitutionStatus)` Set the Substitution Status.
    `void` | `setSubstitutionStatus(java.lang.String strSubstitutionStatus)` Set the Substitution Status.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RXG

          public RXG()

      Constructs the RXG segment.

  - ### Method Detail

    - #### getAdministrationNotes

          public ISingleCollection<CWE> getAdministrationNotes()

      Retrieves the Administration Notes. This field contains notes to the person administering the medication/treatment.
      Returns:
        ISingleCollection - administrationNotes

    - #### getDispenseSub_IDCounter

          public NM getDispenseSub_IDCounter()

      Retrieves the Dispense Sub ID Counter.
      Returns:
        NM - dispenseSub_IDCounter

    - #### getGiveAmount_Maximum

          public NM getGiveAmount_Maximum()

      Retrieves the Give Amount Maximum
      Returns:
        NM - giveAmount_Maximum

    - #### getGiveAmount_Minimum

          public NM getGiveAmount_Minimum()

      Retrieves the Give Amount Minimum
      Returns:
        NM - giveAmount_Minimum

    - #### getGiveBarcodeIdentifier

          public CWE getGiveBarcodeIdentifier()

      Retrieves the Give Barcode Identifier. This fields specify the pharmacy system's assigned barcode number for the give occurrence.
      Returns:
        CWE - giveBarcodeIdentifier

    - #### getGiveCode

          public CWE getGiveCode()

      Retrieves the Give Code. This field identify the medical substance/treatment ordered to be given to the patient.
      Returns:
        CWE - giveCode

    - #### getGiveDosageForm

          public CWE getGiveDosageForm()

      Retrieves the Give Dosage Form.
      Returns:
        CWE - giveDosageForm

    - #### getGiveDrugStrengthVolume

          public NM getGiveDrugStrengthVolume()

      Retrieves the Give Drug Strength Volume. This field specify the drug concentration contained in measure volume.
      Returns:
        NM - giveDrugStrengthVolume

    - #### getGiveDrugStrengthVolumeUnits

          public CWE getGiveDrugStrengthVolumeUnits()

      Retrieves the Give Drug Strength Volume Units.
      Returns:
        CWE - giveDrugStrengthVolumeUnits

    - #### getGivePerTimeUnit

          public ST getGivePerTimeUnit()

      Retrieves the Give Per Time Unit. This field specify the time unit to use to calculate the rate at which the pharmaceutical/treatment is to be administered.
      Returns:
        ST - givePerTimeUnit

    - #### getGiveRateAmount

          public ST getGiveRateAmount()

      Retrieves the Give Rate Amount.
      Returns:
        ST - giveRateAmount

    - #### getGiveRateUnits

          public CWE getGiveRateUnits()

      Retrieves the Give Rate Units.
      Returns:
        CWE - giveRateUnits

    - #### getGiveStrength

          public NM getGiveStrength()

      Retrieves the Give Strength.
      Returns:
        NM - giveStrength

    - #### getGiveStrengthUnits

          public CWE getGiveStrengthUnits()

      Retrieves the Give Strength Units.
      Returns:
        CWE - giveStrengthUnits

    - #### getGiveSub_IDCounter

          public NM getGiveSub_IDCounter()

      Retrieves the Give Sub ID Counter.
      Returns:
        NM - giveSub_IDCounter

    - #### getGiveUnits

          public CWE getGiveUnits()

      Retrieves the Give Units
      Returns:
        CWE - giveUnits

    - #### getIndication

          public ISingleCollection<CWE> getIndication()

      Retrieves the Indication. This field identifies the condition or problem for which the drug/treatment is prescribed.
      Returns:
        ISingleCollection - indication

    - #### getNeedsHumanReview

          public ID getNeedsHumanReview()

      Retrieves the Needs Human Review
      Returns:
        ID - needsHumanReview

    - #### getPharmacyOrderType

          public ID getPharmacyOrderType()

      Retrieves the Pharmacy Order Type. This field specify general category of pharmacy order which may be used to determine the processing path the order is taken.
      Returns:
        ID - pharmacyOrderType

    - #### getSpecialAdministrationInstructions

          public ISingleCollection<CWE> getSpecialAdministrationInstructions()

      Retrieves the Special Administration Instructions.
      Returns:
        ISingleCollection - SpecialAdministrationInstructions

    - #### getSubstanceExpirationDate

          public ISingleCollection<DTM> getSubstanceExpirationDate()

      Retrieves the Substance Expiration Date. This field specify the expiration date of the medical substance administered.
      Returns:
        ISingleCollection - substanceExpirationDate

    - #### getSubstanceLotNumber

          public ISingleCollection<ST> getSubstanceLotNumber()

      Retrieves the Substance Lot Number. This field specify a lot number of the medical substance administered.
      Returns:
        ISingleCollection - substanceLotNumber

    - #### getSubstanceManufacturerName

          public ISingleCollection<CWE> getSubstanceManufacturerName()

      Retrieves the Substance Manufacturer Name. This field specify the manufacturer of the medical substance administered.
      Returns:
        ISingleCollection - substanceManufacturerName

    - #### getSubstitutionStatus

          public ID getSubstitutionStatus()

      Retrieves the Substitution Status
      Returns:
        ID - substitutionStatus

    - #### getDispensetoPharmacy

          public CWE getDispensetoPharmacy()

      Retrieves the Dispense to Pharmacy.
      Returns:
        CWE - dispensetoPharmacy

    - #### getDispensetoPharmacyAddress

          public XAD getDispensetoPharmacyAddress()

      Retrieves the Dispense to Pharmacy Address. This field specify the address of the dispensing facility or the patient's location where the dispensing is occur.
      Returns:
        XAD - dispensetoPharmacyAddress

    - #### getDeliver_toPatientLocation

          public PL getDeliver_toPatientLocation()

      Retrieves the Deliver to Patient Location. This field specify the location of the patient to whom the pharmaceutical substance is to be delivered.
      Returns:
        PL - deliver_toPatientLocation

    - #### getDeliver_toAddress

          public XAD getDeliver_toAddress()

      Retrieves the Deliver to Address. This field specify the address, either mailing or physical, to which the prescription should be mailed or delivered.
      Returns:
        XAD - deliver_toAddress

    - #### getGiveTagIdentifier

          public ISingleCollection<EI> getGiveTagIdentifier()

      Retrieves the Give Tag Identifier.
      Returns:
        ISingleCollection - Give Tag Identifier

    - #### getDispenseAmount

          public NM getDispenseAmount()

      Retrieves the Dispense Amount This field specify the amount to be dispensed as encoded by the pharmacy or treatment supplier.
      Returns:
        NM - dispenseAmount

    - #### getDispenseUnits

          public CWE getDispenseUnits()

      Retrieves the Dispense Units.
      Returns:
        CWE - dispenseUnits

    - #### addAdministrationNotes

          public void addAdministrationNotes(java.lang.String strIdentifier,
                                    java.lang.String strText,
                                    java.lang.String strNameOfCodingSystem,
                                    java.lang.String strAlternateIdentifier,
                                    java.lang.String strAlternateText,
                                    java.lang.String strNameOfAlternateCodingSystem,
                                    java.lang.String strCodingSystemVersionID,
                                    java.lang.String strAlternateCodingSystemVersionId,
                                    java.lang.String strOriginalText,
                                    java.lang.String strSecondAlternateIdentifier,
                                    java.lang.String strSecondAlternateText,
                                    java.lang.String strNameofSecondAlternateCodingSystem,
                                    java.lang.String strSecondAlternateCodingSystemVersionID,
                                    java.lang.String strCodingSystemOID,
                                    java.lang.String strValueSetOID,
                                    java.lang.String strValueSetVersionID,
                                    java.lang.String strAlternateCodingSystemOID,
                                    java.lang.String strAlternateValueSetOID,
                                    java.lang.String strAlternateValueSetVersionID,
                                    java.lang.String strSecondAlternateCodingSystemOID,
                                    java.lang.String strSecondAlternateValueSetOID,
                                    java.lang.String strSecondAlternateValueSetVersionID)

      Add the Administration Notes. This field contains notes to the person administering the medication/treatment.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addAdministrationNotes

          public void addAdministrationNotes(CWE objadministrationNotes)

      Add the Administration Notes. This field contains notes to the person administering the medication/treatment.
      Parameters:
        `objadministrationNotes` - Object of Administration Notes.

    - #### setAdministrationNotes

          public void setAdministrationNotes(ISingleCollection<CWE> objadministrationNotesList)

      Set the Administration Notes. This field contains notes to the person administering the medication/treatment.
      Parameters:
        `objadministrationNotesList` - List of Administration Notes.

    - #### setDispenseSub_IDCounter

          public void setDispenseSub_IDCounter(java.lang.String strDispenseSub_IDCounter)

      Set the Dispense Sub ID Counter.
      Parameters:
        `strDispenseSub_IDCounter` - String which to set as Dispense Sub-ID Counter

    - #### setDispenseSub_IDCounter

          public void setDispenseSub_IDCounter(NM objdispenseSub_IDCounter)

      Set the Dispense Sub ID Counter.
      Parameters:
        `objdispenseSub_IDCounter` - Object of Dispense Sub ID Counter.

    - #### setGiveAmount_Maximum

          public void setGiveAmount_Maximum(java.lang.String strGiveAmount_Maximum)

      Set the Give Amount Maximum.
      Parameters:
        `strGiveAmount_Maximum` - This field contains the String Value of Give Amount Maximum

    - #### setGiveAmount_Maximum

          public void setGiveAmount_Maximum(NM objgiveAmount_Maximum)

      Set the Give Amount Maximum.
      Parameters:
        `objgiveAmount_Maximum` - Object of Give Amount Maximum.

    - #### setGiveAmount_Minimum

          public void setGiveAmount_Minimum(java.lang.String strGiveAmount_Minimum)

      Set the Give Amount Minimum.
      Parameters:
        `strGiveAmount_Minimum` - This field contains the String Value of Give Amount Minimum

    - #### setGiveAmount_Minimum

          public void setGiveAmount_Minimum(NM objgiveAmount_Minimum)

      Set the Give Amount Minimum.
      Parameters:
        `objgiveAmount_Minimum` - Object of Give Amount Minimum.

    - #### setGiveBarcodeIdentifier

          public void setGiveBarcodeIdentifier(java.lang.String strIdentifier,
                                      java.lang.String strText,
                                      java.lang.String strNameOfCodingSystem,
                                      java.lang.String strAlternateIdentifier,
                                      java.lang.String strAlternateText,
                                      java.lang.String strNameOfAlternateCodingSystem,
                                      java.lang.String strCodingSystemVersionID,
                                      java.lang.String strAlternateCodingSystemVersionId,
                                      java.lang.String strOriginalText,
                                      java.lang.String strSecondAlternateIdentifier,
                                      java.lang.String strSecondAlternateText,
                                      java.lang.String strNameofSecondAlternateCodingSystem,
                                      java.lang.String strSecondAlternateCodingSystemVersionID,
                                      java.lang.String strCodingSystemOID,
                                      java.lang.String strValueSetOID,
                                      java.lang.String strValueSetVersionID,
                                      java.lang.String strAlternateCodingSystemOID,
                                      java.lang.String strAlternateValueSetOID,
                                      java.lang.String strAlternateValueSetVersionID,
                                      java.lang.String strSecondAlternateCodingSystemOID,
                                      java.lang.String strSecondAlternateValueSetOID,
                                      java.lang.String strSecondAlternateValueSetVersionID)

      Set the Give Barcode Identifier. This fields specify the pharmacy system's assigned barcode number for the give occurrence.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setGiveBarcodeIdentifier

          public void setGiveBarcodeIdentifier(CWE objgiveBarcodeIdentifier)

      Set the Give Barcode Identifier. This fields specify the pharmacy system's assigned barcode number for the give occurrence.
      Parameters:
        `objgiveBarcodeIdentifier` - Object of Give Barcode Identifier.

    - #### setGiveCode

          public void setGiveCode(java.lang.String strIdentifier,
                         java.lang.String strText,
                         java.lang.String strNameOfCodingSystem,
                         java.lang.String strAlternateIdentifier,
                         java.lang.String strAlternateText,
                         java.lang.String strNameOfAlternateCodingSystem,
                         java.lang.String strCodingSystemVersionID,
                         java.lang.String strAlternateCodingSystemVersionId,
                         java.lang.String strOriginalText,
                         java.lang.String strSecondAlternateIdentifier,
                         java.lang.String strSecondAlternateText,
                         java.lang.String strNameofSecondAlternateCodingSystem,
                         java.lang.String strSecondAlternateCodingSystemVersionID,
                         java.lang.String strCodingSystemOID,
                         java.lang.String strValueSetOID,
                         java.lang.String strValueSetVersionID,
                         java.lang.String strAlternateCodingSystemOID,
                         java.lang.String strAlternateValueSetOID,
                         java.lang.String strAlternateValueSetVersionID,
                         java.lang.String strSecondAlternateCodingSystemOID,
                         java.lang.String strSecondAlternateValueSetOID,
                         java.lang.String strSecondAlternateValueSetVersionID)

      Set the Give Code. This field identify the medical substance/treatment ordered to be given to the patient.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setGiveCode

          public void setGiveCode(CWE objgiveCode)

      Set the Give Code. This field identify the medical substance/treatment ordered to be given to the patient.
      Parameters:
        `objgiveCode` - Object of Give Code.

    - #### setGiveDosageForm

          public void setGiveDosageForm(java.lang.String strIdentifier,
                               java.lang.String strText,
                               java.lang.String strNameOfCodingSystem,
                               java.lang.String strAlternateIdentifier,
                               java.lang.String strAlternateText,
                               java.lang.String strNameOfAlternateCodingSystem,
                               java.lang.String strCodingSystemVersionID,
                               java.lang.String strAlternateCodingSystemVersionId,
                               java.lang.String strOriginalText,
                               java.lang.String strSecondAlternateIdentifier,
                               java.lang.String strSecondAlternateText,
                               java.lang.String strNameofSecondAlternateCodingSystem,
                               java.lang.String strSecondAlternateCodingSystemVersionID,
                               java.lang.String strCodingSystemOID,
                               java.lang.String strValueSetOID,
                               java.lang.String strValueSetVersionID,
                               java.lang.String strAlternateCodingSystemOID,
                               java.lang.String strAlternateValueSetOID,
                               java.lang.String strAlternateValueSetVersionID,
                               java.lang.String strSecondAlternateCodingSystemOID,
                               java.lang.String strSecondAlternateValueSetOID,
                               java.lang.String strSecondAlternateValueSetVersionID)

      Set the Give Dosage Form.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setGiveDosageForm

          public void setGiveDosageForm(CWE objgiveDosageForm)

      Set the Give Dosage Form.
      Parameters:
        `objgiveDosageForm` - Object of Give Dosage Form.

    - #### setGiveDrugStrengthVolume

          public void setGiveDrugStrengthVolume(java.lang.String strGiveDrugStrengthVolume)

      Set the Give Drug Strength Volume. This field specify the drug concentration contained in measure volume.
      Parameters:
        `strGiveDrugStrengthVolume` - This field contains the String Value of Give Drug Strength Volume

    - #### setGiveDrugStrengthVolume

          public void setGiveDrugStrengthVolume(NM objgiveDrugStrengthVolume)

      Set the Give Drug Strength Volume. This field specify the drug concentration contained in measure volume.
      Parameters:
        `objgiveDrugStrengthVolume` - Object of Give Drug Strength Volume.

    - #### setGiveDrugStrengthVolumeUnits

          public void setGiveDrugStrengthVolumeUnits(java.lang.String strIdentifier,
                                            java.lang.String strText,
                                            java.lang.String strNameOfCodingSystem,
                                            java.lang.String strAlternateIdentifier,
                                            java.lang.String strAlternateText,
                                            java.lang.String strNameOfAlternateCodingSystem,
                                            java.lang.String strCodingSystemVersionID,
                                            java.lang.String strAlternateCodingSystemVersionId,
                                            java.lang.String strOriginalText,
                                            java.lang.String strSecondAlternateIdentifier,
                                            java.lang.String strSecondAlternateText,
                                            java.lang.String strNameofSecondAlternateCodingSystem,
                                            java.lang.String strSecondAlternateCodingSystemVersionID,
                                            java.lang.String strCodingSystemOID,
                                            java.lang.String strValueSetOID,
                                            java.lang.String strValueSetVersionID,
                                            java.lang.String strAlternateCodingSystemOID,
                                            java.lang.String strAlternateValueSetOID,
                                            java.lang.String strAlternateValueSetVersionID,
                                            java.lang.String strSecondAlternateCodingSystemOID,
                                            java.lang.String strSecondAlternateValueSetOID,
                                            java.lang.String strSecondAlternateValueSetVersionID)

      Set the Give Drug Strength Volume Units.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setGiveDrugStrengthVolumeUnits

          public void setGiveDrugStrengthVolumeUnits(CWE objgiveDrugStrengthVolumeUnits)

      Set the Give Drug Strength Volume Units.
      Parameters:
        `objgiveDrugStrengthVolumeUnits` - Object of Give Drug Strength Volume Units.

    - #### setGivePerTimeUnit

          public void setGivePerTimeUnit(java.lang.String strGivePerTimeUnit)

      Set the Give Per Time Unit. This field specify the time unit to use to calculate the rate at which the pharmaceutical/treatment is to be administered.
      Parameters:
        `strGivePerTimeUnit` - This field contains the String Value of Give Per Time Unit

    - #### setGivePerTimeUnit

          public void setGivePerTimeUnit(ST objgivePerTimeUnit)

      Set the Give Per Time Unit. This field specify the time unit to use to calculate the rate at which the pharmaceutical/treatment is to be administered.
      Parameters:
        `objgivePerTimeUnit` - Object of

    - #### setGiveRateAmount

          public void setGiveRateAmount(java.lang.String strGiveRateAmount)

      Set the Give Rate Amount.
      Parameters:
        `strGiveRateAmount` - This field contains the String Value of Give Rate Amount

    - #### setGiveRateAmount

          public void setGiveRateAmount(ST objgiveRateAmount)

      Set the Give Rate Amount.
      Parameters:
        `objgiveRateAmount` - Object of Give Rate Amount.

    - #### setGiveRateUnits

          public void setGiveRateUnits(java.lang.String strIdentifier,
                              java.lang.String strText,
                              java.lang.String strNameOfCodingSystem,
                              java.lang.String strAlternateIdentifier,
                              java.lang.String strAlternateText,
                              java.lang.String strNameOfAlternateCodingSystem,
                              java.lang.String strCodingSystemVersionID,
                              java.lang.String strAlternateCodingSystemVersionId,
                              java.lang.String strOriginalText,
                              java.lang.String strSecondAlternateIdentifier,
                              java.lang.String strSecondAlternateText,
                              java.lang.String strNameofSecondAlternateCodingSystem,
                              java.lang.String strSecondAlternateCodingSystemVersionID,
                              java.lang.String strCodingSystemOID,
                              java.lang.String strValueSetOID,
                              java.lang.String strValueSetVersionID,
                              java.lang.String strAlternateCodingSystemOID,
                              java.lang.String strAlternateValueSetOID,
                              java.lang.String strAlternateValueSetVersionID,
                              java.lang.String strSecondAlternateCodingSystemOID,
                              java.lang.String strSecondAlternateValueSetOID,
                              java.lang.String strSecondAlternateValueSetVersionID)

      Set the Give Rate Units.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setGiveRateUnits

          public void setGiveRateUnits(CWE objgiveRateUnits)

      Set the Give Rate Units.
      Parameters:
        `objgiveRateUnits` - Object of Give Rate Units.

    - #### setGiveStrength

          public void setGiveStrength(java.lang.String strGiveStrength)

      Set the Give Strength.
      Parameters:
        `strGiveStrength` - This field contains the String Value of Give Strength

    - #### setGiveStrength

          public void setGiveStrength(NM objgiveStrength)

      Set the Give Strength.
      Parameters:
        `objgiveStrength` - Object of Give Strength.

    - #### setGiveStrengthUnits

          public void setGiveStrengthUnits(java.lang.String strIdentifier,
                                  java.lang.String strText,
                                  java.lang.String strNameOfCodingSystem,
                                  java.lang.String strAlternateIdentifier,
                                  java.lang.String strAlternateText,
                                  java.lang.String strNameOfAlternateCodingSystem,
                                  java.lang.String strCodingSystemVersionID,
                                  java.lang.String strAlternateCodingSystemVersionId,
                                  java.lang.String strOriginalText,
                                  java.lang.String strSecondAlternateIdentifier,
                                  java.lang.String strSecondAlternateText,
                                  java.lang.String strNameofSecondAlternateCodingSystem,
                                  java.lang.String strSecondAlternateCodingSystemVersionID,
                                  java.lang.String strCodingSystemOID,
                                  java.lang.String strValueSetOID,
                                  java.lang.String strValueSetVersionID,
                                  java.lang.String strAlternateCodingSystemOID,
                                  java.lang.String strAlternateValueSetOID,
                                  java.lang.String strAlternateValueSetVersionID,
                                  java.lang.String strSecondAlternateCodingSystemOID,
                                  java.lang.String strSecondAlternateValueSetOID,
                                  java.lang.String strSecondAlternateValueSetVersionID)

      Set the Give Strength Units.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setGiveStrengthUnits

          public void setGiveStrengthUnits(CWE objgiveStrengthUnits)

      Set the Give Strength Units.
      Parameters:
        `objgiveStrengthUnits` - Object of Give Strength Units.

    - #### setGiveSub_IDCounter

          public void setGiveSub_IDCounter(java.lang.String strGiveSub_IDCounter)

      Set the Give Sub ID Counter.
      Parameters:
        `strGiveSub_IDCounter` - This field contains the String Value of Give Sub-ID Counter

    - #### setGiveSub_IDCounter

          public void setGiveSub_IDCounter(NM objgiveSub_IDCounter)

      Set the Give Sub ID Counter.
      Parameters:
        `objgiveSub_IDCounter` - Object of Give Sub ID Counter.

    - #### setGiveUnits

          public void setGiveUnits(java.lang.String strIdentifier,
                          java.lang.String strText,
                          java.lang.String strNameOfCodingSystem,
                          java.lang.String strAlternateIdentifier,
                          java.lang.String strAlternateText,
                          java.lang.String strNameOfAlternateCodingSystem,
                          java.lang.String strCodingSystemVersionID,
                          java.lang.String strAlternateCodingSystemVersionId,
                          java.lang.String strOriginalText,
                          java.lang.String strSecondAlternateIdentifier,
                          java.lang.String strSecondAlternateText,
                          java.lang.String strNameofSecondAlternateCodingSystem,
                          java.lang.String strSecondAlternateCodingSystemVersionID,
                          java.lang.String strCodingSystemOID,
                          java.lang.String strValueSetOID,
                          java.lang.String strValueSetVersionID,
                          java.lang.String strAlternateCodingSystemOID,
                          java.lang.String strAlternateValueSetOID,
                          java.lang.String strAlternateValueSetVersionID,
                          java.lang.String strSecondAlternateCodingSystemOID,
                          java.lang.String strSecondAlternateValueSetOID,
                          java.lang.String strSecondAlternateValueSetVersionID)

      Set the Give Units
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setGiveUnits

          public void setGiveUnits(CWE objgiveUnits)

      Set the Give Units.
      Parameters:
        `objgiveUnits` - Object of Give Units.

    - #### addIndication

          public void addIndication(java.lang.String strIdentifier,
                           java.lang.String strText,
                           java.lang.String strNameOfCodingSystem,
                           java.lang.String strAlternateIdentifier,
                           java.lang.String strAlternateText,
                           java.lang.String strNameOfAlternateCodingSystem,
                           java.lang.String strCodingSystemVersionID,
                           java.lang.String strAlternateCodingSystemVersionId,
                           java.lang.String strOriginalText,
                           java.lang.String strSecondAlternateIdentifier,
                           java.lang.String strSecondAlternateText,
                           java.lang.String strNameofSecondAlternateCodingSystem,
                           java.lang.String strSecondAlternateCodingSystemVersionID,
                           java.lang.String strCodingSystemOID,
                           java.lang.String strValueSetOID,
                           java.lang.String strValueSetVersionID,
                           java.lang.String strAlternateCodingSystemOID,
                           java.lang.String strAlternateValueSetOID,
                           java.lang.String strAlternateValueSetVersionID,
                           java.lang.String strSecondAlternateCodingSystemOID,
                           java.lang.String strSecondAlternateValueSetOID,
                           java.lang.String strSecondAlternateValueSetVersionID)

      Add the Indication. This field identifies the condition or problem for which the drug/treatment is prescribed.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addIndication

          public void addIndication(CWE objindication)

      Add the Indication. This field identifies the condition or problem for which the drug/treatment is prescribed.
      Parameters:
        `objindication` - Object of Indication.

    - #### setIndication

          public void setIndication(ISingleCollection<CWE> objindicationList)

      Set the Indication. This field identifies the condition or problem for which the drug/treatment is prescribed.
      Parameters:
        `objindicationList` - List of Indication.

    - #### setNeedsHumanReview

          public void setNeedsHumanReview(java.lang.String strNeedsHumanReview)

      Set the Needs Human Review
      Parameters:
        `strNeedsHumanReview` - String which to set as Needs Human Review

    - #### setNeedsHumanReview

          public void setNeedsHumanReview(ID objneedsHumanReview)

      Set the Needs Human Review.
      Parameters:
        `objneedsHumanReview` - Object of Needs Human Review.

    - #### setPharmacyOrderType

          public void setPharmacyOrderType(java.lang.String strPharmacyOrderType)

      Set the Pharmacy Order Type. This field specify general category of pharmacy order which may be used to determine the processing path the order is taken.
      Parameters:
        `strPharmacyOrderType` - String which to set as Pharmacy Order Type

    - #### setPharmacyOrderType

          public void setPharmacyOrderType(ID objpharmacyOrderType)

      Set the Pharmacy Order Type. This field specify general category of pharmacy order which may be used to determine the processing path the order is taken.
      Parameters:
        `objpharmacyOrderType` - Object of Pharmacy Order Type.

    - #### addSpecialAdministrationInstructions

          public void addSpecialAdministrationInstructions(java.lang.String strIdentifier,
                                                  java.lang.String strText,
                                                  java.lang.String strNameOfCodingSystem,
                                                  java.lang.String strAlternateIdentifier,
                                                  java.lang.String strAlternateText,
                                                  java.lang.String strNameOfAlternateCodingSystem,
                                                  java.lang.String strCodingSystemVersionID,
                                                  java.lang.String strAlternateCodingSystemVersionId,
                                                  java.lang.String strOriginalText,
                                                  java.lang.String strSecondAlternateIdentifier,
                                                  java.lang.String strSecondAlternateText,
                                                  java.lang.String strNameofSecondAlternateCodingSystem,
                                                  java.lang.String strSecondAlternateCodingSystemVersionID,
                                                  java.lang.String strCodingSystemOID,
                                                  java.lang.String strValueSetOID,
                                                  java.lang.String strValueSetVersionID,
                                                  java.lang.String strAlternateCodingSystemOID,
                                                  java.lang.String strAlternateValueSetOID,
                                                  java.lang.String strAlternateValueSetVersionID,
                                                  java.lang.String strSecondAlternateCodingSystemOID,
                                                  java.lang.String strSecondAlternateValueSetOID,
                                                  java.lang.String strSecondAlternateValueSetVersionID)

      Add the Special Administration Instructions.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addSpecialAdministrationInstructions

          public void addSpecialAdministrationInstructions(CWE objSpecialAdministrationInstructions)

      Add the Special Administration Instructions.
      Parameters:
        `objSpecialAdministrationInstructions` - Object of Special Administration Instructions.

    - #### setSpecialAdministrationInstructions

          public void setSpecialAdministrationInstructions(ISingleCollection<CWE> objSpecialAdministrationInstructionsList)

      Set the Special Administration Instructions.
      Parameters:
        `objSpecialAdministrationInstructionsList` - List of Special Administration Instructions.

    - #### addSubstanceExpirationDate

          public void addSubstanceExpirationDate(java.lang.String strTime)

      Add the Substance Expiration Date. This field specify the expiration date of the medical substance administered.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### addSubstanceExpirationDate

          public void addSubstanceExpirationDate(DTM objsubstanceExpirationDate)

      Add the Substance Expiration Date. This field specify the expiration date of the medical substance administered.
      Parameters:
        `objsubstanceExpirationDate` - Object of Substance Expiration Date.

    - #### setSubstanceExpirationDate

          public void setSubstanceExpirationDate(ISingleCollection<DTM> objsubstanceExpirationDateList)

      Set the Substance Expiration Date. This field specify the expiration date of the medical substance administered.
      Parameters:
        `objsubstanceExpirationDateList` - List of Substance Expiration Date.

    - #### addSubstanceLotNumber

          public void addSubstanceLotNumber(java.lang.String strSubstanceLotNumber)

      Add the Substance Lot Number. This field specify a lot number of the medical substance administered.
      Parameters:
        `strSubstanceLotNumber` - String which to set as Substance Lot Number

    - #### addSubstanceLotNumber

          public void addSubstanceLotNumber(ST objsubstanceLotNumber)

      Add the Substance Lot Number. This field specify a lot number of the medical substance administered.
      Parameters:
        `objsubstanceLotNumber` - Object of Substance Lot Number.

    - #### setSubstanceLotNumber

          public void setSubstanceLotNumber(ISingleCollection<ST> objsubstanceLotNumberList)

      Set the Substance Lot Number. This field specify a lot number of the medical substance administered.
      Parameters:
        `objsubstanceLotNumberList` - List of Substance Lot Number.

    - #### addSubstanceManufacturerName

          public void addSubstanceManufacturerName(java.lang.String strIdentifier,
                                          java.lang.String strText,
                                          java.lang.String strNameOfCodingSystem,
                                          java.lang.String strAlternateIdentifier,
                                          java.lang.String strAlternateText,
                                          java.lang.String strNameOfAlternateCodingSystem,
                                          java.lang.String strCodingSystemVersionID,
                                          java.lang.String strAlternateCodingSystemVersionId,
                                          java.lang.String strOriginalText,
                                          java.lang.String strSecondAlternateIdentifier,
                                          java.lang.String strSecondAlternateText,
                                          java.lang.String strNameofSecondAlternateCodingSystem,
                                          java.lang.String strSecondAlternateCodingSystemVersionID,
                                          java.lang.String strCodingSystemOID,
                                          java.lang.String strValueSetOID,
                                          java.lang.String strValueSetVersionID,
                                          java.lang.String strAlternateCodingSystemOID,
                                          java.lang.String strAlternateValueSetOID,
                                          java.lang.String strAlternateValueSetVersionID,
                                          java.lang.String strSecondAlternateCodingSystemOID,
                                          java.lang.String strSecondAlternateValueSetOID,
                                          java.lang.String strSecondAlternateValueSetVersionID)

      Add the Substance Manufacturer Name. This field specify the manufacturer of the medical substance administered.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addSubstanceManufacturerName

          public void addSubstanceManufacturerName(CWE objsubstanceManufacturerName)

      Add the Substance Manufacturer Name. This field specify the manufacturer of the medical substance administered.
      Parameters:
        `objsubstanceManufacturerName` - Object of Substance Manufacturer Name.

    - #### setSubstanceManufacturerName

          public void setSubstanceManufacturerName(ISingleCollection<CWE> objsubstanceManufacturerNameList)

      Set the Substance Manufacturer Name. This field specify the manufacturer of the medical substance administered.
      Parameters:
        `objsubstanceManufacturerNameList` - List of Substance Manufacturer Name.

    - #### setSubstitutionStatus

          public void setSubstitutionStatus(java.lang.String strSubstitutionStatus)

      Set the Substitution Status.
      Parameters:
        `strSubstitutionStatus` - String which to set as Substitution Status

    - #### setSubstitutionStatus

          public void setSubstitutionStatus(ID objsubstitutionStatus)

      Set the Substitution Status.
      Parameters:
        `objsubstitutionStatus` - Object of Substitution Status.

    - #### setDispensetoPharmacy

          public void setDispensetoPharmacy(java.lang.String strIdentifier,
                                   java.lang.String strText,
                                   java.lang.String strNameOfCodingSystem,
                                   java.lang.String strAlternateIdentifier,
                                   java.lang.String strAlternateText,
                                   java.lang.String strNameOfAlternateCodingSystem,
                                   java.lang.String strCodingSystemVersionID,
                                   java.lang.String strAlternateCodingSystemVersionId,
                                   java.lang.String strOriginalText,
                                   java.lang.String strSecondAlternateIdentifier,
                                   java.lang.String strSecondAlternateText,
                                   java.lang.String strNameofSecondAlternateCodingSystem,
                                   java.lang.String strSecondAlternateCodingSystemVersionID,
                                   java.lang.String strCodingSystemOID,
                                   java.lang.String strValueSetOID,
                                   java.lang.String strValueSetVersionID,
                                   java.lang.String strAlternateCodingSystemOID,
                                   java.lang.String strAlternateValueSetOID,
                                   java.lang.String strAlternateValueSetVersionID,
                                   java.lang.String strSecondAlternateCodingSystemOID,
                                   java.lang.String strSecondAlternateValueSetOID,
                                   java.lang.String strSecondAlternateValueSetVersionID)

      Set the Dispense to Pharmacy.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setDispensetoPharmacy

          public void setDispensetoPharmacy(CWE objdispensetoPharmacy)

      Set the Dispense to Pharmacy.
      Parameters:
        `objdispensetoPharmacy` - Object of Dispense to Pharmacy.

    - #### setDispensetoPharmacyAddress

          public void setDispensetoPharmacyAddress(SAD objStreetAddress,
                                          java.lang.String strOtherDesignation,
                                          java.lang.String strCity,
                                          java.lang.String strStateOrProvince,
                                          java.lang.String strZipOrPostalCode,
                                          java.lang.String strCountry,
                                          java.lang.String strAddressType,
                                          java.lang.String strOtherGeographicDesignation,
                                          CWE objCountyParishCode,
                                          CWE objCensusTract,
                                          java.lang.String strAddressRepresentationCode,
                                          DTM objEffectiveDate,
                                          DTM objExpirationDate,
                                          CWE objEXpirationReason,
                                          java.lang.String strTemporaryIndicator,
                                          java.lang.String strBadAddressIndicator,
                                          java.lang.String strAddressUsage,
                                          java.lang.String strAddressee,
                                          java.lang.String strComment,
                                          java.lang.String strPreferenceOrder,
                                          CWE objProtectionCode,
                                          EI objAddressIdentifier)

      Set the Dispense to Pharmacy Address. This field specify the address of the dispensing facility or the patient's location where the dispensing is occur.
      Parameters:
        `objStreetAddress` - Specifies the street address.
        `strOtherDesignation` - Specifies the Second line of address.
        `strCity` - The city, or district or place where the addressee is located.
        `strStateOrProvince` - Specifies the state or province where the addressee is located.
        `strZipOrPostalCode` - Specifies the zip or postal code where the addressee is located.
        `strCountry` - Specifies the country where the addressee is located.
        `strAddressType` - Specifies the kind or type of address.
        `strOtherGeographicDesignation` - Specifies any other geographic designation.
        `objCountyParishCode` - Specifies a code that represents the county in which the specified address resides.
        `objCensusTract` - Specifies a code that represents the census tract in which the specified address resides.
        `strAddressRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `objEffectiveDate` - It is The first date, if known, on which the address is valid and active.
        `objExpirationDate` - It is The last date, if known, on which the address is valid and active.
        `objExpirationReason` - indicates why this address was marked as ended.
        `strTemporaryIndicator` - indicates whether address is considered temporary .
        `strBadAddressIndicator` - indicates whether it is possible to contact the owning entity.
        `strAddressUsage` - indicates how the address is intended to be used.
        `strAddressee` - indicates the name of the person whose address is intended to be used.
        `strComment` - indicated descriptive information
        `strPreferenceOrder` - preference order
        `objProtectionCode` - indicates that an address need to be protected
        `objAdressIdentifier` - indicates a unique identifier for address

    - #### setDispensetoPharmacyAddress

          public void setDispensetoPharmacyAddress(XAD objdispensetoPharmacyAddress)

      Set the Dispense to Pharmacy Address. This field specify the address of the dispensing facility or the patient's location where the dispensing is occur.
      Parameters:
        `objdispensetoPharmacyAddress` - Object of Dispense to Pharmacy Address.

    - #### setDeliver_toPatientLocation

          public void setDeliver_toPatientLocation(HD objPointOfCare,
                                          HD objRoom,
                                          HD objBed,
                                          HD objFacility,
                                          java.lang.String strLocationStatus,
                                          java.lang.String strPersonLocationType,
                                          java.lang.String strBuilding,
                                          java.lang.String strFloor,
                                          java.lang.String strLocationDescription,
                                          EI objComprehensiveLocationIdentifier,
                                          HD objAssigningAuthorityForLocation)

      Set the Deliver to Patient Location. This field specify the location of the patient to whom the pharmaceutical substance is to be delivered.
      Parameters:
        `strPointOfCare` - Specifies the code for the point where patient care is administered.
        `strRoom` - Specifies the code for the patient's room.
        `strBed` - Specifies the code for the patient's bed.
        `objFacility` - Specifies to site interpretation but generally describes the highest level physical designation of an institution, medical center or enterprise.
        `strLocationStatus` - Specifies the code for the status or availability of the location.
        `strPersonLocationType` - Specifies the categorization of the person's location defined by facility, building, floor, point of care, room or bed.
        `strBuilding` - Specifies code for the building where the person is located.
        `strFloor` - Specifies the code for the floor where the person is located.
        `strLocationDescription` - Specifies describes the location in free text.
        `objComprehensiveLocationIdentifier` - Specifies represents the physical location as a whole without regard for the individual components.
        `objAssigningAuthorityForLocation` - Specifies the entity that creates the data for the individual physical location components.

    - #### setDeliver_toPatientLocation

          public void setDeliver_toPatientLocation(PL objdeliver_toPatientLocation)

      Set the Deliver to Patient Location. This field specify the location of the patient to whom the pharmaceutical substance is to be delivered.
      Parameters:
        `objdeliver_toPatientLocation` - Object of Deliver to Patient Location.

    - #### setDeliver_toAddress

          public void setDeliver_toAddress(SAD objStreetAddress,
                                  java.lang.String strOtherDesignation,
                                  java.lang.String strCity,
                                  java.lang.String strStateOrProvince,
                                  java.lang.String strZipOrPostalCode,
                                  java.lang.String strCountry,
                                  java.lang.String strAddressType,
                                  java.lang.String strOtherGeographicDesignation,
                                  CWE objCountyParishCode,
                                  CWE objCensusTract,
                                  java.lang.String strAddressRepresentationCode,
                                  DTM objEffectiveDate,
                                  DTM objExpirationDate,
                                  CWE objEXpirationReason,
                                  java.lang.String strTemporaryIndicator,
                                  java.lang.String strBadAddressIndicator,
                                  java.lang.String strAddressUsage,
                                  java.lang.String strAddressee,
                                  java.lang.String strComment,
                                  java.lang.String strPreferenceOrder,
                                  CWE objProtectionCode,
                                  EI objAddressIdentifier)

      Set the Deliver to Address. This field specify the address, either mailing or physical, to which the prescription should be mailed or delivered.
      Parameters:
        `objStreetAddress` - Specifies the street address.
        `strOtherDesignation` - Specifies the Second line of address.
        `strCity` - The city, or district or place where the addressee is located.
        `strStateOrProvince` - Specifies the state or province where the addressee is located.
        `strZipOrPostalCode` - Specifies the zip or postal code where the addressee is located.
        `strCountry` - Specifies the country where the addressee is located.
        `strAddressType` - Specifies the kind or type of address.
        `strOtherGeographicDesignation` - Specifies any other geographic designation.
        `objCountyParishCode` - Specifies a code that represents the county in which the specified address resides.
        `objCensusTract` - Specifies a code that represents the census tract in which the specified address resides.
        `strAddressRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `objEffectiveDate` - It is The first date, if known, on which the address is valid and active.
        `objExpirationDate` - It is The last date, if known, on which the address is valid and active.
        `objExpirationReason` - indicates why this address was marked as ended.
        `strTemporaryIndicator` - indicates whether address is considered temporary .
        `strBadAddressIndicator` - indicates whether it is possible to contact the owning entity.
        `strAddressUsage` - indicates how the address is intended to be used.
        `strAddressee` - indicates the name of the person whose address is intended to be used.
        `strComment` - indicated descriptive information
        `strPreferenceOrder` - preference order
        `objProtectionCode` - indicates that an address need to be protected
        `objAdressIdentifier` - indicates a unique identifier for address

    - #### setDeliver_toAddress

          public void setDeliver_toAddress(XAD objdeliver_toAddress)

      Set the Deliver to Address. This field specify the address, either mailing or physical, to which the prescription should be mailed or delivered.
      Parameters:
        `objdeliver_toAddress` - Object of Deliver to Address.

    - #### addGiveTagIdentifier

          public void addGiveTagIdentifier(java.lang.String strEntityIdentifier,
                                  java.lang.String strNamespaceId,
                                  java.lang.String strUniversalId,
                                  java.lang.String strUniversalIdType)

      Add the Give Tag Identifier.
      Parameters:
        `strEntityIdentifier` - Specifies defined by a hierarchic designator, represented by components 2 through 4. [Reference Section 2.A.33, "HD - hierarchic designator".]
        `strNamespaceId` - Specifies the HL7 identifier for the user-defined table of values for this component. [Refer to User-defined Table 0363 - Assigning authority]
        `strUniversalId` - Specifies string formatted according to the scheme defined by the component, (UID type).
        `strUniversalIdType` - Specifies the interpretation of the second component of the HD.

    - #### addGiveTagIdentifier

          public void addGiveTagIdentifier(EI objGiveTagIdentifier)

      Add the Give Tag Identifier.
      Parameters:
        `objGiveTagIdentifier` - Object of Give Tag Identifier.

    - #### setGiveTagIdentifier

          public void setGiveTagIdentifier(ISingleCollection<EI> objGiveTagIdentifierList)

      Set the Give Tag Identifier.
      Parameters:
        `objGiveTagIdentifierList` - List of Give Tag Identifier.

    - #### setDispenseAmount

          public void setDispenseAmount(java.lang.String strDispenseAmount)

      Set the Dispense Amount This field specify the amount to be dispensed as encoded by the pharmacy or treatment supplier.
      Parameters:
        `strDispenseAmount` - This field contains the String Value of Dispense Amount

    - #### setDispenseAmount

          public void setDispenseAmount(NM objdispenseAmount)

      Set the Dispense Amount This field specify the amount to be dispensed as encoded by the pharmacy or treatment supplier.
      Parameters:
        `objdispenseAmount` - Object of Dispense Amount

    - #### setDispenseUnits

          public void setDispenseUnits(java.lang.String strIdentifier,
                              java.lang.String strText,
                              java.lang.String strNameOfCodingSystem,
                              java.lang.String strAlternateIdentifier,
                              java.lang.String strAlternateText,
                              java.lang.String strNameOfAlternateCodingSystem,
                              java.lang.String strCodingSystemVersionID,
                              java.lang.String strAlternateCodingSystemVersionId,
                              java.lang.String strOriginalText,
                              java.lang.String strSecondAlternateIdentifier,
                              java.lang.String strSecondAlternateText,
                              java.lang.String strNameofSecondAlternateCodingSystem,
                              java.lang.String strSecondAlternateCodingSystemVersionID,
                              java.lang.String strCodingSystemOID,
                              java.lang.String strValueSetOID,
                              java.lang.String strValueSetVersionID,
                              java.lang.String strAlternateCodingSystemOID,
                              java.lang.String strAlternateValueSetOID,
                              java.lang.String strAlternateValueSetVersionID,
                              java.lang.String strSecondAlternateCodingSystemOID,
                              java.lang.String strSecondAlternateValueSetOID,
                              java.lang.String strSecondAlternateValueSetVersionID)

      Set the Dispense Units.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### setDispenseUnits

          public void setDispenseUnits(CWE objdispenseUnits)

      Set the Dispense Units.
      Parameters:
        `objdispenseUnits` - Object of Dispense Units.

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation checks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - Throws when Segment Validation fails.